Name:          dolphin-plugins
Version:       17.08.3
Release:       1mamba
Summary:       Extra plugins for the Dolphin file manager
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/dolphin-plugins-%{version}.tar.xz
License:       GPL

## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdolphin-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktexteditor-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Extra plugins for the Dolphin file manager. This package is part of KDE4

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_kde5_kcfgdir}/fileviewgitpluginsettings.kcfg
%{_kde5_kcfgdir}/fileviewhgpluginsettings.kcfg
%{_kde5_kcfgdir}/fileviewsvnpluginsettings.kcfg
%{_libdir}/qt5/plugins/fileview*.so
%{_kde5_servicesdir}/fileviewbazaarplugin.desktop
%{_kde5_servicesdir}/fileviewdropboxplugin.desktop
%{_kde5_servicesdir}/fileviewgitplugin.desktop
%{_kde5_servicesdir}/fileviewhgplugin.desktop
%{_kde5_servicesdir}/fileviewsvnplugin.desktop
%lang(ast) %{_datadir}/locale/ast/LC_MESSAGES/*.mo
%lang(bs) %{_datadir}/locale/bs/LC_MESSAGES/*.mo
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/*.mo
%lang(ca@valencia) %{_datadir}/locale/ca@valencia/LC_MESSAGES/*.mo
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/*.mo
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/*.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*.mo
%lang(el) %{_datadir}/locale/el/LC_MESSAGES/*.mo
%lang(en_GB) %{_datadir}/locale/en_GB/LC_MESSAGES/*.mo
%lang(eo) %{_datadir}/locale/eo/LC_MESSAGES/*.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/*.mo
%lang(et) %{_datadir}/locale/et/LC_MESSAGES/*.mo
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/*.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/*.mo
%lang(ga) %{_datadir}/locale/ga/LC_MESSAGES/*.mo
%lang(gl) %{_datadir}/locale/gl/LC_MESSAGES/*.mo
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/*.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/*.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/*.mo
%lang(kk) %{_datadir}/locale/kk/LC_MESSAGES/*.mo
%lang(ko) %{_datadir}/locale/ko/LC_MESSAGES/*.mo
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/*.mo
%lang(mr) %{_datadir}/locale/mr/LC_MESSAGES/*.mo
%lang(nb) %{_datadir}/locale/nb/LC_MESSAGES/*.mo
%lang(nds) %{_datadir}/locale/nds/LC_MESSAGES/*.mo
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/*.mo
%lang(pa) %{_datadir}/locale/pa/LC_MESSAGES/*.mo
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/*.mo
%lang(pt) %{_datadir}/locale/pt/LC_MESSAGES/*.mo
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/*.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/*.mo
%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/*.mo
%lang(sl) %{_datadir}/locale/sl/LC_MESSAGES/*.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/*.mo
%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/*.mo
%lang(ug) %{_datadir}/locale/ug/LC_MESSAGES/*.mo
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/*.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/*.mo
%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/*.mo
%doc COPYING

%changelog
* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Tue Jul 04 2017 Automatic Build System <autodist@mambasoft.it> 17.04.2-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Sat Feb 20 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Tue Jan 12 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
